Bug 417111 - Review Request: youtube-dl - Download videos from YouTube.com
Review Request: youtube-dl - Download videos from YouTube.com
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 05:38 EST by Krzysztof Kurzawski
Modified: 2008-01-26 07:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 07:52:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kurzawski 2007-12-09 05:38:49 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-1-1.fc8.src.rpm
Description: Small command-line program to download videos from YouTube.
Comment 1 Desislav Georgiev 2007-12-13 04:59:36 EST
(In reply to comment #0)
I cannot approve or sponsor your package, but I would like to assist with a
pre-review.

* Please correct the licence tag
  - The license tag "GPL" is no more valid for Fedora.
    Information on valid licences can be found here:
    http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
    http://fedoraproject.org/wiki/Licensing

* rpmlint warns for summary-ended-with-dot

Comment 2 Krzysztof Kurzawski 2007-12-14 12:53:45 EST
Thanks for comments. I have corrected license and updated summary. The package
is available here:

Spec URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-1-1.fc8.src.rpm
Comment 3 Krzysztof Kurzawski 2007-12-14 13:43:09 EST
Whoops i wrote bad link to SRPM. The correct link is:

SRPM URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-1-2.fc8.src.rpm

Sorry for my mistake.
Comment 4 Xavier Lamien 2007-12-16 12:04:05 EST

# The version should match with the upstream one which's 2007.10.12
-----------------------------------------------
[SmootherFrOgZ@BlitzKreig koji]$ ./youtube-dl -v
2007.10.12

-----------------------------------------------
Comment 5 Krzysztof Kurzawski 2007-12-23 14:30:17 EST
* Sun Dec 23 2007 Radoslaw Majchrzak <kurzawax at gmail.com> 2007.10.12-3
- Correct version tag.

Spec URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl.spec
SRPM URL:
http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-2007.10.12-3.fc8.src.rpm

P.S I'm looking for sponsor.
Comment 6 Ian Weller 2007-12-29 02:24:46 EST
The youtube-dl homepage says that it requires Python 2.4 or later. I would put
this in your spec file:
 line 11:
Requires: python >= 2.4
Comment 7 Ian Weller 2007-12-29 02:51:44 EST
Also, rpmlint returns
youtube-dl.noarch: W: no-documentation

This is because there isn't any documentation in the package. I'm not sure if
this is necessary, but to keep people happy I'd download a current copy of the
page at http://www.arrakis.es/~rggi3/youtube-dl/ and use that as documentation,
since it tells licensing information and how to use the program and all that
whatnot.

This may not be necessary, because the Fedora Packaging Guidelines state that
relevant documentation included in the source package should be included in the
RPM. However, there is no source *package*, per se.

I've helped you out and done the work for this for you. Add this to the bottom
of the %install block of your spec file:
wget http://www.arrakis.es/~rggi3/youtube-dl/index.html
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.html

And add this in your %files list:
%doc %{_docdir}/%{name}-%{version}/README.html
Comment 9 Xavier Lamien 2007-12-31 05:27:43 EST
# Need improvment :

---
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}
---
instead of
---
cp %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_bindir}/youtube-dl
---


# You should add your documentation as SOURCE1 instead of use wget in spec file.

# You no need to add full path in %doc, its already do it by itself.
just : %doc index.html

So this can be remove as well :
---
wget http://www.arrakis.es/~rggi3/youtube-dl/index.html
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.html
---
Comment 10 Krzysztof Kurzawski 2008-01-02 12:45:51 EST
- Correct install.
- Correct documentation.

Spec URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl.spec
SRPM URL:
http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-2007.10.12-5.fc8.src.rpm

P.S Thanks for comments.
Comment 11 Mamoru TASAKA 2008-01-11 11:22:19 EST
Does someone reviewing this?
Comment 12 Xavier Lamien 2008-01-15 17:32:04 EST
yep, do you have a comment on this package mamoru ?

Krzysztof, follow this procedure :
http://fedoraproject.org/wiki/Extras/Contributors

Removed FE-NEEDSPONSOR block, i'll sponsor him.
Comment 13 Mamoru TASAKA 2008-01-16 05:54:07 EST
(In reply to comment #12)
> yep, do you have a comment on this package mamoru ?

Well, I have not tried to check this package and I will leave
the review of this package to you.
Comment 14 Xavier Lamien 2008-01-17 04:56:48 EST
ok ;)
Comment 15 Xavier Lamien 2008-01-17 11:42:39 EST
okay, this package works fine on cleanly fedora release. no licensed codec is
required to get/compress videos from youtube.com.

rpmlint warning on "no documentation" can be ignored, harmless.

Krzysztof, don't forget to follow the link pasted above before be sponsored or
be able to import your package.
Comment 16 Krzysztof Kurzawski 2008-01-20 16:18:45 EST
Thanks for sponsoring me. I've got problem with my fedora installation. I'll fix
it within few days, then I'll follow this link.
Comment 17 Krzysztof Kurzawski 2008-01-25 13:42:07 EST
New Package CVS Request
=======================
Package Name: youtube-dl
Short Description: Download videos from YouTube.com
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2008-01-25 14:47:32 EST
cvs done. 

Note that there is a 2008.01.24 version now out upstream... might update before
building. 
Comment 19 Krzysztof Kurzawski 2008-01-26 04:01:51 EST
- Update to v2008.01.24
- Add polish summary and description.

Spec URL: http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl.spec
SRPM URL:
http://kurzawa.nonlogic.org/rpm/youtube-dl/youtube-dl-2008.01.24-1.fc8.src.rpm
Comment 20 Krzysztof Kurzawski 2008-01-26 07:52:16 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.